/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.wear.protolayout.expression;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.RestrictTo.Scope;

/**
 * Preconditions for use within this library.
 *
 */
@RestrictTo(Scope.LIBRARY_GROUP)
public final class Preconditions {
  private Preconditions() {}

  @RestrictTo(Scope.LIBRARY_GROUP)
  @NonNull
  public static <T> T checkNotNull(@Nullable T value) {
    if (value == null) {
      throw new NullPointerException();
    }
    return value;
  }
}
